<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>试评任务</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
    <ul class="nav nav-tabs">
        <li><a href="${ctx}/admin/exam/group?subjectCode=${query.subjectCode}">大题管理</a></li>
        <li><a href="${ctx}/admin/exam/marker?subjectCode=${query.subjectCode}">评卷员管理</a></li>
        <li class="active"><a href="##">试评管理</a></li>
        <li><a href="${ctx}/admin/exam/library?subjectCode=${query.subjectCode}">任务管理</a></li>
        <li><a href="${ctx}/admin/exam/arbitrate?subjectCode=${query.subjectCode}">仲裁管理</a></li>
        <li><a href="${ctx}/admin/exam/quality?subjectCode=${query.subjectCode}">质量监控</a></li>
    </ul>
	<form id="searchForm" action="${ctx}/admin/exam/trial" method="post" class="breadcrumb form-search">
	    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
	    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
	    <div>
			<label>科目</label>
			<select class="input-large" id="subject-select" name="subjectCode">
				<c:forEach items="${subjectList}" var="item">
				<option value="${item.code}" <c:if test="${item.code==query.subjectCode}">selected</c:if>>${item.code}-${item.name}</option>
				</c:forEach>
			</select>
			<label>大题</label>
            <select class="input-medium" id="group-select" name="groupNumber">
                <c:forEach items="${groupList}" var="item">
                <option value="${item.number}" <c:if test="${item.number==query.groupNumber}">selected</c:if>>${item.number}-${item.title}</option>
                </c:forEach>
            </select>
            <label>准考证号</label>
            <input type="text" name="examNumber" value="${query.examNumber}" maxlength="20" class="input-small"/>
			<label>考生编号</label>
            <input type="text" name="studentId" id="studentId" value="${query.studentId}" maxlength="10" class="input-small" onkeyup="this.value=this.value.replace(/\D/g,'')"/>
            &nbsp;
			<input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
		</div>
	</form>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>科目代码</th>
				<th>大题号</th>
				<th>准考证号</th>
				<th>考生编号</th>
				<th>评卷员</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${query.result}" var="result">
			<tr>
				<td>${result.subjectCode}</td>
				<td>${result.groupNumber}</td>
				<td>${result.examNumber}</td>
				<td>${result.studentId}</td>
				<td>${result.markCount}</td>
				<td>
				    <c:if test="${result.markCount>0}">
				    <a href="##" class="detail-link" data-title="试评给分详情" data-id="${result.id}">详情</a>
				    <c:if test="${group!=null && group.status==TRIAL}">
				    &nbsp;
                    <a href="##" class="reset-link" data-id="${result.id}">重置</a>
					</c:if>
					</c:if>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	<div class="pagination">${query}</div>
	<%@include file="/WEB-INF/views/include/trialDetail.jsp" %>
<script type="text/javascript">
$('.reset-link').click(function(){
	if(!confirm('确定要重置该试评任务吗?')){
	    return;
	}
	$.post('${ctx}/admin/exam/trial/reset', {libraryId: $(this).attr('data-id')}, function(result){
	    if(result.success==true){
            alert('重置成功');
            $("#searchForm").submit();
        }else{
            alert(result.message);
        }
	});
});
$('.detail-link').click(function(){
    initTrialDetailPopover($(this).attr('data-title'), $(this).attr('data-id'));
    return false;
});
$('#subject-select').change(function(){
    var code = $(this).val();
    $('#group-select').empty();
    if(code==''){
        $('#group-select').val('').trigger('change');
        return;
    }
    $.post('${ctx}/admin/exam/group/query', {subjectCode: code, status: 'TRIAL'}, function(result){
        var parent = $('#group-select');
        var first = '';
        for(var i=0;i<result.length;i++){
            var group = result[i];
            $('<option value="'+group.number+'">'+group.number+'-'+group.title+'</option>').appendTo(parent);
            if(i==0){
                first = group.number;
            }
        }
        parent.val(first).trigger('change');
    });
});
function page(n,s){
    $("#pageNumber").val(n);
    $("#pageSize").val(s);
    $("#searchForm").submit();
    return false;
}
function goSearch(){
    $("#pageNumber").val(1);
    var studentId = parseInt($("#studentId").val()); 
    if( $("#studentId").val()!="" && studentId>2147483647 ){
    	alert("考生编号不合法");
    }else{
	    $("#searchForm").submit();
    }
    return false;
}
</script>	
</body>
</html>